{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "ada",
            "hints": [
                {
                    "dockerPull": "alahiff/mast-ada:4",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.uda_server)",
                            "envName": "UDA_HOST"
                        },
                        {
                            "envValue": "$(inputs.uda_server)",
                            "envName": "UDA_SERVER_HOST"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "baseCommand": "/run.sh",
            "arguments": [
                "$(runtime.outdir)",
                "/background/rca/bin0",
                "/opt/data/rca030470.nc"
            ],
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#ada.cwl/in_amc"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#ada.cwl/pass_no"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#ada.cwl/shot_no"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#ada.cwl/uda_server"
                }
            ],
            "id": "#ada.cwl",
            "outputs": [
                {
                    "type": "int",
                    "id": "#ada.cwl/value"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "adg",
            "hints": [
                {
                    "dockerPull": "alahiff/mast-adg:4",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.uda_server)",
                            "envName": "UDA_HOST"
                        },
                        {
                            "envValue": "$(inputs.uda_server)",
                            "envName": "UDA_SERVER_HOST"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "baseCommand": "/run.sh",
            "arguments": [
                "$(runtime.outdir)",
                "/background/rca/bin0",
                "/opt/data/rca030470.nc"
            ],
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#adg.cwl/in_ada"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#adg.cwl/pass_no"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#adg.cwl/shot_no"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#adg.cwl/uda_server"
                }
            ],
            "outputs": [
                {
                    "type": "int",
                    "id": "#adg.cwl/value"
                }
            ],
            "id": "#adg.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "amc",
            "hints": [
                {
                    "dockerPull": "alahiff/mast-amc:4",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "envDef": [
                        {
                            "envValue": "$(inputs.uda_server)",
                            "envName": "UDA_HOST"
                        },
                        {
                            "envValue": "$(inputs.uda_server)",
                            "envName": "UDA_SERVER_HOST"
                        }
                    ],
                    "class": "EnvVarRequirement"
                }
            ],
            "baseCommand": "/run.sh",
            "arguments": [
                "$(runtime.outdir)",
                "/background/rca/bin0",
                "/opt/data/rca030470.nc"
            ],
            "inputs": [
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#amc.cwl/pass_no"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#amc.cwl/shot_no"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#amc.cwl/uda_server"
                }
            ],
            "outputs": [
                {
                    "type": "int",
                    "id": "#amc.cwl/value"
                }
            ],
            "id": "#amc.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "int",
                    "id": "#main/pass_no"
                },
                {
                    "type": "int",
                    "id": "#main/shot_no"
                },
                {
                    "type": "string",
                    "id": "#main/uda_server"
                }
            ],
            "outputs": [
                {
                    "type": "int",
                    "outputSource": "#main/ada/value",
                    "id": "#main/ada_file"
                },
                {
                    "type": "int",
                    "outputSource": "#main/adg/value",
                    "id": "#main/adg_file"
                },
                {
                    "type": "int",
                    "outputSource": "#main/amc/value",
                    "id": "#main/amc_file"
                }
            ],
            "steps": [
                {
                    "run": "#ada.cwl",
                    "in": [
                        {
                            "source": "#main/amc/value",
                            "id": "#main/ada/in_amc"
                        },
                        {
                            "source": "#main/pass_no",
                            "id": "#main/ada/pass_no"
                        },
                        {
                            "source": "#main/shot_no",
                            "id": "#main/ada/shot_no"
                        },
                        {
                            "source": "#main/uda_server",
                            "id": "#main/ada/uda_server"
                        }
                    ],
                    "out": [
                        "#main/ada/value"
                    ],
                    "id": "#main/ada"
                },
                {
                    "run": "#adg.cwl",
                    "in": [
                        {
                            "source": "#main/ada/value",
                            "id": "#main/adg/in_ada"
                        },
                        {
                            "source": "#main/pass_no",
                            "id": "#main/adg/pass_no"
                        },
                        {
                            "source": "#main/shot_no",
                            "id": "#main/adg/shot_no"
                        },
                        {
                            "source": "#main/uda_server",
                            "id": "#main/adg/uda_server"
                        }
                    ],
                    "out": [
                        "#main/adg/value"
                    ],
                    "id": "#main/adg"
                },
                {
                    "run": "#amc.cwl",
                    "in": [
                        {
                            "source": "#main/pass_no",
                            "id": "#main/amc/pass_no"
                        },
                        {
                            "source": "#main/shot_no",
                            "id": "#main/amc/shot_no"
                        },
                        {
                            "source": "#main/uda_server",
                            "id": "#main/amc/uda_server"
                        }
                    ],
                    "out": [
                        "#main/amc/value"
                    ],
                    "id": "#main/amc"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
